Issue 51131

Summary: Project Manager to Save and Restore Current State of All OOo Windows
Product: General Reporter: apjjr <alex>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: drewjensen.inbox, issues, kami911, peschtra
Version: OOo 2.0Keywords: oooqa
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: FEATURE Latest Confirmation in: ---
Developer Difficulty: ---

Description apjjr 2005-06-23 02:26:34 UTC
I was thinking a method of saving the current state OOo, that is, saving the
status of all of the currently open OOo application windows would be a handy
feature.  Thus, allowing the user to reinstate a group of OOo windows and the
files that were being worked on at the time of saving.

Quite often I'll have 2 or 3 spreadsheets open along with 2 or 3 writer files. 
I'll get interrupted and have to close them all.  It would be nice to reopen all
of them to their previous state with one click.

I did not find anything like this in the issues.

I use a text editor called Vedit that has a feature they call Projects.  It uses
the multi-document interface and the projects feature saves the current state of
all of its open files.   MS, I think had a feature for Excel called a work book.

Really this would be just a list of the currently open files allowing you to
reopen this group in the future.  It would be nice if the window sizes and
locations as well as the location in the file would be saved for future restoration.

Alex
Comment 1 kami911 2005-06-23 06:56:32 UTC
Nice idea!
Comment 2 peschtra 2005-06-24 04:59:34 UTC
Changing to a feature request, as you can't enhance something that doesn't exist. :(

Confirming as something that doesn't currently exist.
Comment 3 Olaf Felka 2005-06-24 08:27:09 UTC
reassigned
Comment 4 ace_dent 2008-05-16 00:53:46 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 5 apjjr 2008-05-16 03:56:14 UTC
This was a feature suggestion.  Its purpose was to tie together disparate files
into a project where multiple files need to be referenced to complete the
project having the ability to, with a single click, restore the multiple windows
displaying the files to a previous state.  This facilitates multiple trains of
thought that many people need to deal with every day.  Interruptions create the
need to put a thought process on hold.  That was the basic premise of this idea.
 I did not try to promote it to obtain votes although the people I mentioned it
to did like the idea. What should be done to test its appeal?
Comment 6 drewjensen.inbox 2008-05-16 20:33:42 UTC
This sounds like a ripe idea for an extension. I think everything that would be
required is readily available via the current API..

Comment 7 apjjr 2008-05-17 03:37:08 UTC
It might be a "a ripe idea for an extension" and it may be true that "everything
that would be required is readily available via the current API",but how does it
get done?  I am not an expert with the OOo API.  I only thought of it.  Is there
a programmer out there that finds this idea intriguing?